Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Cognition/PassCorridorCollection.h File Reference

The file contains the definition of the class PassCorridorCollection. More...

`#include "Tools/Streams/InOut.h"`
`#include "Tools/Player.h"`

Include dependency graph for PassCorridorCollection.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PassCorridor
class | PassCorridorCollection
## Functions
In & | operator>> (In &stream, PassCorridor &passCorridor)
| Streaming operator that reads a pass corridor from a stream.
Out & | operator<< (Out &stream, const PassCorridor &passCorridor)
| Streaming operator that writes a pass corridor to a stream.
In & | operator>> (In &stream, PassCorridorCollection &passCorridorCollection)
| Streaming operator that reads a pass corridor collection from a stream.
Out & | operator<< (Out &stream, const PassCorridorCollection &passCorridorCollection)
| Streaming operator that writes a pass corridor collection to a stream.

## Detailed Description

The file contains the definition of the class PassCorridorCollection.

Author:
  Marc Dassler

Definition in file PassCorridorCollection.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | PassCorridor & | passCorridor
| ) |

  | Streaming operator that reads a pass corridor from a stream. Parameters:
  stream | The stream from which is read.
  passCorridor | The pass corridor object.
Returns: The stream. Definition at line 20 of file PassCorridorCollection.cpp. References In::read().

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const PassCorridor & | passCorridor
| ) |

  | Streaming operator that writes a pass corridor to a stream. Parameters:
  stream | The stream to write on.
  passCorridor | The pass corridor object.
Returns: The stream. Definition at line 26 of file PassCorridorCollection.cpp. References Out::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | PassCorridorCollection & | passCorridorCollection
| ) |

  | Streaming operator that reads a pass corridor collection from a stream. Parameters:
  stream | The stream from which is read.
  passCorridorCollection | The pass corridor object.
Returns: The stream. Definition at line 85 of file PassCorridorCollection.cpp. References PassCorridorCollection::numberOfPassCorridors, PassCorridorCollection::passCorridors, and In::read().

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const PassCorridorCollection & | passCorridorCollection
| ) |

  | Streaming operator that writes a pass corridor collection to a stream. Parameters:
  stream | The stream to write on.
  passCorridorCollection | The pass corridor object.
Returns: The stream. Definition at line 93 of file PassCorridorCollection.cpp. References PassCorridorCollection::numberOfPassCorridors, PassCorridorCollection::passCorridors, and Out::write().

Here is the call graph for this function: